Skip to main content
POST
C#
This endpoint requires the merchant-accounts.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

merchant_account_id
string
required

The ID of the merchant account.

Example:

"merchant-12345"

Body

application/json
merchant_acquirer_bin
string
required

Acquirer BIN to use when calling 3DS through this scheme.

Maximum string length: 11
Example:

"516327"

merchant_acquirer_id
string
required

Merchant ID to use when calling 3DS through this scheme.

Maximum string length: 35
Example:

"123456789012345"

merchant_name
string
required
Maximum string length: 40
Example:

"Acme Inc."

merchant_country_code
string
required

The merchant's ISO 3166-1 numeric country code.

Example:

"840"

merchant_category_code
string
required

Merchant category code to use when calling 3DS through this scheme.

Required string length: 4
Example:

"1234"

merchant_url
string
required

URL to send when calling 3DS through this scheme.

Example:

"https://example.com"

scheme
string
required

The card scheme for this 3DS configuration

metadata
Metadata · object
required

Any additional information about the 3DS configuration that you would like to store as key-value pairs.

currency
string | null

ISO 4217 currency code (3 characters). If left null, the configuration will apply to all currencies.

Pattern: ^[A-Z]{3}$
Example:

"USD"

Response

Successful Response

merchant_acquirer_bin
string
required

Acquirer BIN to use when calling 3DS through this scheme.

Maximum string length: 11
Example:

"516327"

merchant_acquirer_id
string
required

Merchant ID to use when calling 3DS through this scheme.

Maximum string length: 35
Example:

"123456789012345"

merchant_name
string
required
Maximum string length: 40
Example:

"Acme Inc."

merchant_country_code
string
required

The merchant's ISO 3166-1 numeric country code.

Example:

"840"

merchant_category_code
string
required

Merchant category code to use when calling 3DS through this scheme.

Required string length: 4
Example:

"1234"

merchant_url
string
required

URL to send when calling 3DS through this scheme.

Example:

"https://example.com"

id
string<uuid>
required

Unique identifier for the 3DS configuration

merchant_account_id
string
required

ID of the associated merchant account

created_at
string<date-time>
required

The date and time when this 3DS configuration was first created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>
required

The date and time when this 3DS configuration was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

scheme
string
required

The card scheme for this 3DS configuration

currency
string | null
required

ISO 4217 currency code (3 characters). If null, the configuration applies to all currencies.

Pattern: ^[A-Z]{3}$
Example:

"USD"

metadata
Metadata · object
required

Additional information about the 3DS configuration, stored as key-value pairs.

type
string
default:merchant-account.three-ds-configuration

Always merchant-account.three-ds-configuration.

Allowed value: "merchant-account.three-ds-configuration"
Example:

"merchant-account.three-ds-configuration"